/* Zaklady programovani ... staticke pole (pokracovani) */

#include<iostream>
#include<iomanip>       // setw
using namespace std;

/* Funkce vypise na konzoli matici. Vstupem muze byt libovolna matice o 2 sloupcich.
   n je pocet radku matice. */
void vypis(float A[][2], int n)
{
	for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < 2; j++)
			cout << setw(4) << A[i][j] << ' ';
		cout << endl;
	}
	cout << endl;
}

int main()
{
	int A[2][3] = { {1,2,3}, {4,5,-6} }; // matice o dvou radcich a trech sloupcich
	int B[2][3] = { {1,2} };             // castecna inicializace (zbyle prvky se inicializuji na 0)
	int A1[2][3][4];                     // trojrozmerne pole, bez inicializace
	
	// indexace matice
	A[0][0] = 5; 
	// ne! A[0,1] = 1
	A[0][1] = 1;

	// priklad na scitani matic:
	float a[3][2] = { {1,0},{0,-1},{0,1} };
	float b[3][2] = { {-1,-2},{0,3},{-5,2} };
	float c[3][2];

	for (int i = 0; i < 3; i++)
		for (int j = 0; j < 2; j++)
			c[i][j] = a[i][j] + b[i][j];

	// vypis matice
	for (int i = 0; i < 3; i++)
	{
		for (int j = 0; j < 2; j++)
			cout << setw(4) << c[i][j] << ' ';
		cout << endl;
	}
	cout << endl;

	float d[3][2] = { {1,0},{0,-1},{0,1} };
	float e[2][4] = { {0,1,0,0}, {0,-1,-1,0} };

	// zavolani funkce pro vypis matice
	vypis(d, 3);
	return 0;
}